# libdar::tuyau Class Reference
[Private]

pipe implementation under the generic_file interface. More...

`#include <tuyau.hpp>`

Inherits libdar::generic_file, and libdar::thread_cancellation.

List of all members.

## Public Member Functions
bool | skip (const infinint &pos)
| skip at the absolute position
bool | skip_to_eof ()
| skip to the end of file
infinint | get_position ()
| get the current read/write position

## Detailed Description

pipe implementation under the generic_file interface.

Definition at line 48 of file tuyau.hpp.

The documentation for this class was generated from the following file:

- tuyau.hpp